// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 55;
	objects = {

/* Begin PBXBuildFile section */
		5C54697626C3D67200CDDB25 /* ImageCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C54697426C3D67200CDDB25 /* ImageCell.swift */; };
		5C54697726C3D67200CDDB25 /* ImageCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 5C54697526C3D67200CDDB25 /* ImageCell.xib */; };
		5C5DE37326C39B6900ABA4FE /* BaseRepository.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C5DE37226C39B6900ABA4FE /* BaseRepository.swift */; };
		5C7E164726C4E3700052D621 /* RxCocoa in Frameworks */ = {isa = PBXBuildFile; productRef = 5C7E164626C4E3700052D621 /* RxCocoa */; };
		5C7E164926C4E3700052D621 /* RxRelay in Frameworks */ = {isa = PBXBuildFile; productRef = 5C7E164826C4E3700052D621 /* RxRelay */; };
		5C7E164B26C4E3700052D621 /* RxSwift in Frameworks */ = {isa = PBXBuildFile; productRef = 5C7E164A26C4E3700052D621 /* RxSwift */; };
		5C7E165226C4F9590052D621 /* CDEmployee+CoreDataClass.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E164E26C4F9590052D621 /* CDEmployee+CoreDataClass.swift */; };
		5C7E165326C4F9590052D621 /* CDEmployee+CoreDataProperties.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E164F26C4F9590052D621 /* CDEmployee+CoreDataProperties.swift */; };
		5C7E165426C4F9590052D621 /* CDPassport+CoreDataClass.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E165026C4F9590052D621 /* CDPassport+CoreDataClass.swift */; };
		5C7E165526C4F9590052D621 /* CDPassport+CoreDataProperties.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E165126C4F9590052D621 /* CDPassport+CoreDataProperties.swift */; };
		5C7E165726C4FDB70052D621 /* Passport.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E165626C4FDB70052D621 /* Passport.swift */; };
		5C7E165926C4FF6F0052D621 /* Extension+CDEmployee.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E165826C4FF6F0052D621 /* Extension+CDEmployee.swift */; };
		5C7E165B26C4FF850052D621 /* Extension+CDPassport.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E165A26C4FF850052D621 /* Extension+CDPassport.swift */; };
		5C7E165E26C518AB0052D621 /* PassportListVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C7E165D26C518AB0052D621 /* PassportListVC.swift */; };
		5C81081326C274E800B40524 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81081226C274E800B40524 /* AppDelegate.swift */; };
		5C81081526C274E800B40524 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81081426C274E800B40524 /* SceneDelegate.swift */; };
		5C81081726C274E800B40524 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81081626C274E800B40524 /* ViewController.swift */; };
		5C81081A26C274E800B40524 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5C81081826C274E800B40524 /* Main.storyboard */; };
		5C81081C26C274E900B40524 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 5C81081B26C274E900B40524 /* Assets.xcassets */; };
		5C81081F26C274E900B40524 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 5C81081D26C274E900B40524 /* LaunchScreen.storyboard */; };
		5C81082826C274FE00B40524 /* Employee.xcdatamodeld in Sources */ = {isa = PBXBuildFile; fileRef = 5C81082626C274FE00B40524 /* Employee.xcdatamodeld */; };
		5C81082A26C2789C00B40524 /* EmployeeManager.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81082926C2789C00B40524 /* EmployeeManager.swift */; };
		5C81082C26C278A900B40524 /* PersistentStorage.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81082B26C278A900B40524 /* PersistentStorage.swift */; };
		5C81083126C27C3D00B40524 /* Employee.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81083026C27C3D00B40524 /* Employee.swift */; };
		5C81083326C27DE800B40524 /* EmployeeRepository.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81083226C27DE800B40524 /* EmployeeRepository.swift */; };
		5C81083F26C285EC00B40524 /* ResuseableView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81083B26C285EC00B40524 /* ResuseableView.swift */; };
		5C81084026C285EC00B40524 /* PaddedField.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81083C26C285EC00B40524 /* PaddedField.swift */; };
		5C81084126C285EC00B40524 /* Helper.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81083D26C285EC00B40524 /* Helper.swift */; };
		5C81084226C285EC00B40524 /* FieldValue.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81083E26C285EC00B40524 /* FieldValue.swift */; };
		5C81084426C2864700B40524 /* SignUpRowType.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81084326C2864700B40524 /* SignUpRowType.swift */; };
		5C81084C26C28B5D00B40524 /* TextTblCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81084626C28B5D00B40524 /* TextTblCell.swift */; };
		5C81084D26C28B5D00B40524 /* StudentTblCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81084726C28B5D00B40524 /* StudentTblCell.swift */; };
		5C81084E26C28B5D00B40524 /* ButtonTblCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 5C81084826C28B5D00B40524 /* ButtonTblCell.xib */; };
		5C81084F26C28B5D00B40524 /* ButtonTblCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81084926C28B5D00B40524 /* ButtonTblCell.swift */; };
		5C81085026C28B5D00B40524 /* StudentTblCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 5C81084A26C28B5D00B40524 /* StudentTblCell.xib */; };
		5C81085126C28B5D00B40524 /* TextTblCell.xib in Resources */ = {isa = PBXBuildFile; fileRef = 5C81084B26C28B5D00B40524 /* TextTblCell.xib */; };
		5C81085326C2A18700B40524 /* RegisterVC.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5C81085226C2A18700B40524 /* RegisterVC.swift */; };
		5CC7099D26C4082300A82C91 /* IQKeyboardManagerSwift in Frameworks */ = {isa = PBXBuildFile; productRef = 5CC7099C26C4082300A82C91 /* IQKeyboardManagerSwift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		5C54697426C3D67200CDDB25 /* ImageCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ImageCell.swift; sourceTree = "<group>"; };
		5C54697526C3D67200CDDB25 /* ImageCell.xib */ = {isa = PBXFileReference; lastKnownFileType = file.xib; path = ImageCell.xib; sourceTree = "<group>"; };
		5C5DE37226C39B6900ABA4FE /* BaseRepository.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = BaseRepository.swift; sourceTree = "<group>"; };
		5C7E164E26C4F9590052D621 /* CDEmployee+CoreDataClass.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "CDEmployee+CoreDataClass.swift"; sourceTree = SOURCE_ROOT; };
		5C7E164F26C4F9590052D621 /* CDEmployee+CoreDataProperties.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "CDEmployee+CoreDataProperties.swift"; sourceTree = SOURCE_ROOT; };
		5C7E165026C4F9590052D621 /* CDPassport+CoreDataClass.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "CDPassport+CoreDataClass.swift"; sourceTree = SOURCE_ROOT; };
		5C7E165126C4F9590052D621 /* CDPassport+CoreDataProperties.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "CDPassport+CoreDataProperties.swift"; sourceTree = SOURCE_ROOT; };
		5C7E165626C4FDB70052D621 /* Passport.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Passport.swift; sourceTree = "<group>"; };
		5C7E165826C4FF6F0052D621 /* Extension+CDEmployee.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Extension+CDEmployee.swift"; sourceTree = "<group>"; };
		5C7E165A26C4FF850052D621 /* Extension+CDPassport.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "Extension+CDPassport.swift"; sourceTree = "<group>"; };
		5C7E165D26C518AB0052D621 /* PassportListVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PassportListVC.swift; sourceTree = "<group>"; };
		5C81080F26C274E800B40524 /* CoreDataExample.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = CoreDataExample.app; sourceTree = BUILT_PRODUCTS_DIR; };
		5C81081226C274E800B40524 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		5C81081426C274E800B40524 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		5C81081626C274E800B40524 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		5C81081926C274E800B40524 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		5C81081B26C274E900B40524 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		5C81081E26C274E900B40524 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		5C81082026C274E900B40524 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		5C81082726C274FE00B40524 /* Employee.xcdatamodel */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcdatamodel; path = Employee.xcdatamodel; sourceTree = "<group>"; };
		5C81082926C2789C00B40524 /* EmployeeManager.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = EmployeeManager.swift; sourceTree = "<group>"; };
		5C81082B26C278A900B40524 /* PersistentStorage.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PersistentStorage.swift; sourceTree = "<group>"; };
		5C81083026C27C3D00B40524 /* Employee.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Employee.swift; sourceTree = "<group>"; };
		5C81083226C27DE800B40524 /* EmployeeRepository.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EmployeeRepository.swift; sourceTree = "<group>"; };
		5C81083B26C285EC00B40524 /* ResuseableView.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ResuseableView.swift; sourceTree = "<group>"; };
		5C81083C26C285EC00B40524 /* PaddedField.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = PaddedField.swift; sourceTree = "<group>"; };
		5C81083D26C285EC00B40524 /* Helper.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = Helper.swift; sourceTree = "<group>"; };
		5C81083E26C285EC00B40524 /* FieldValue.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = FieldValue.swift; sourceTree = "<group>"; };
		5C81084326C2864700B40524 /* SignUpRowType.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = SignUpRowType.swift; sourceTree = "<group>"; };
		5C81084626C28B5D00B40524 /* TextTblCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = TextTblCell.swift; sourceTree = "<group>"; };
		5C81084726C28B5D00B40524 /* StudentTblCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = StudentTblCell.swift; sourceTree = "<group>"; };
		5C81084826C28B5D00B40524 /* ButtonTblCell.xib */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.xib; path = ButtonTblCell.xib; sourceTree = "<group>"; };
		5C81084926C28B5D00B40524 /* ButtonTblCell.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = ButtonTblCell.swift; sourceTree = "<group>"; };
		5C81084A26C28B5D00B40524 /* StudentTblCell.xib */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.xib; path = StudentTblCell.xib; sourceTree = "<group>"; };
		5C81084B26C28B5D00B40524 /* TextTblCell.xib */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = file.xib; path = TextTblCell.xib; sourceTree = "<group>"; };
		5C81085226C2A18700B40524 /* RegisterVC.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = RegisterVC.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		5C81080C26C274E800B40524 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C7E164926C4E3700052D621 /* RxRelay in Frameworks */,
				5C7E164726C4E3700052D621 /* RxCocoa in Frameworks */,
				5C7E164B26C4E3700052D621 /* RxSwift in Frameworks */,
				5CC7099D26C4082300A82C91 /* IQKeyboardManagerSwift in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		5C7E164C26C4E8480052D621 /* Controller */ = {
			isa = PBXGroup;
			children = (
				5C81085226C2A18700B40524 /* RegisterVC.swift */,
				5C81081626C274E800B40524 /* ViewController.swift */,
				5C7E165D26C518AB0052D621 /* PassportListVC.swift */,
			);
			path = Controller;
			sourceTree = "<group>";
		};
		5C7E164D26C4E85C0052D621 /* AppDelegate */ = {
			isa = PBXGroup;
			children = (
				5C81081226C274E800B40524 /* AppDelegate.swift */,
				5C81081426C274E800B40524 /* SceneDelegate.swift */,
			);
			path = AppDelegate;
			sourceTree = "<group>";
		};
		5C7E165C26C4FF930052D621 /* Extension */ = {
			isa = PBXGroup;
			children = (
				5C7E165826C4FF6F0052D621 /* Extension+CDEmployee.swift */,
				5C7E165A26C4FF850052D621 /* Extension+CDPassport.swift */,
			);
			path = Extension;
			sourceTree = "<group>";
		};
		5C81080626C274E800B40524 = {
			isa = PBXGroup;
			children = (
				5C81081126C274E800B40524 /* CoreDataExample */,
				5C81081026C274E800B40524 /* Products */,
			);
			sourceTree = "<group>";
		};
		5C81081026C274E800B40524 /* Products */ = {
			isa = PBXGroup;
			children = (
				5C81080F26C274E800B40524 /* CoreDataExample.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		5C81081126C274E800B40524 /* CoreDataExample */ = {
			isa = PBXGroup;
			children = (
				5C81084526C28B5D00B40524 /* View */,
				5C81083A26C285EC00B40524 /* Utilities */,
				5C81082D26C279B800B40524 /* DataModel */,
				5C81082F26C27A6900B40524 /* CoreDataHelper */,
				5C81083526C27F1B00B40524 /* Modal */,
				5C81083426C27ED200B40524 /* Respository */,
				5C81082E26C27A6100B40524 /* Managers */,
				5C7E164C26C4E8480052D621 /* Controller */,
				5C7E164D26C4E85C0052D621 /* AppDelegate */,
				5C7E165C26C4FF930052D621 /* Extension */,
				5C81081826C274E800B40524 /* Main.storyboard */,
				5C81081B26C274E900B40524 /* Assets.xcassets */,
				5C81081D26C274E900B40524 /* LaunchScreen.storyboard */,
				5C81082026C274E900B40524 /* Info.plist */,
			);
			path = CoreDataExample;
			sourceTree = "<group>";
		};
		5C81082D26C279B800B40524 /* DataModel */ = {
			isa = PBXGroup;
			children = (
				5C81082626C274FE00B40524 /* Employee.xcdatamodeld */,
			);
			path = DataModel;
			sourceTree = "<group>";
		};
		5C81082E26C27A6100B40524 /* Managers */ = {
			isa = PBXGroup;
			children = (
				5C81082926C2789C00B40524 /* EmployeeManager.swift */,
			);
			path = Managers;
			sourceTree = "<group>";
		};
		5C81082F26C27A6900B40524 /* CoreDataHelper */ = {
			isa = PBXGroup;
			children = (
				5C7E164E26C4F9590052D621 /* CDEmployee+CoreDataClass.swift */,
				5C7E164F26C4F9590052D621 /* CDEmployee+CoreDataProperties.swift */,
				5C7E165026C4F9590052D621 /* CDPassport+CoreDataClass.swift */,
				5C7E165126C4F9590052D621 /* CDPassport+CoreDataProperties.swift */,
				5C81082B26C278A900B40524 /* PersistentStorage.swift */,
			);
			path = CoreDataHelper;
			sourceTree = "<group>";
		};
		5C81083426C27ED200B40524 /* Respository */ = {
			isa = PBXGroup;
			children = (
				5C5DE37226C39B6900ABA4FE /* BaseRepository.swift */,
				5C81083226C27DE800B40524 /* EmployeeRepository.swift */,
			);
			path = Respository;
			sourceTree = "<group>";
		};
		5C81083526C27F1B00B40524 /* Modal */ = {
			isa = PBXGroup;
			children = (
				5C81084326C2864700B40524 /* SignUpRowType.swift */,
				5C81083026C27C3D00B40524 /* Employee.swift */,
				5C7E165626C4FDB70052D621 /* Passport.swift */,
			);
			path = Modal;
			sourceTree = "<group>";
		};
		5C81083A26C285EC00B40524 /* Utilities */ = {
			isa = PBXGroup;
			children = (
				5C81083B26C285EC00B40524 /* ResuseableView.swift */,
				5C81083C26C285EC00B40524 /* PaddedField.swift */,
				5C81083D26C285EC00B40524 /* Helper.swift */,
				5C81083E26C285EC00B40524 /* FieldValue.swift */,
			);
			path = Utilities;
			sourceTree = "<group>";
		};
		5C81084526C28B5D00B40524 /* View */ = {
			isa = PBXGroup;
			children = (
				5C81084626C28B5D00B40524 /* TextTblCell.swift */,
				5C81084826C28B5D00B40524 /* ButtonTblCell.xib */,
				5C81084926C28B5D00B40524 /* ButtonTblCell.swift */,
				5C81084726C28B5D00B40524 /* StudentTblCell.swift */,
				5C81084A26C28B5D00B40524 /* StudentTblCell.xib */,
				5C81084B26C28B5D00B40524 /* TextTblCell.xib */,
				5C54697426C3D67200CDDB25 /* ImageCell.swift */,
				5C54697526C3D67200CDDB25 /* ImageCell.xib */,
			);
			path = View;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		5C81080E26C274E800B40524 /* CoreDataExample */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 5C81082326C274E900B40524 /* Build configuration list for PBXNativeTarget "CoreDataExample" */;
			buildPhases = (
				5C81080B26C274E800B40524 /* Sources */,
				5C81080C26C274E800B40524 /* Frameworks */,
				5C81080D26C274E800B40524 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = CoreDataExample;
			packageProductDependencies = (
				5CC7099C26C4082300A82C91 /* IQKeyboardManagerSwift */,
				5C7E164626C4E3700052D621 /* RxCocoa */,
				5C7E164826C4E3700052D621 /* RxRelay */,
				5C7E164A26C4E3700052D621 /* RxSwift */,
			);
			productName = CoreDataExample;
			productReference = 5C81080F26C274E800B40524 /* CoreDataExample.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		5C81080726C274E800B40524 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1300;
				LastUpgradeCheck = 1300;
				TargetAttributes = {
					5C81080E26C274E800B40524 = {
						CreatedOnToolsVersion = 13.0;
					};
				};
			};
			buildConfigurationList = 5C81080A26C274E800B40524 /* Build configuration list for PBXProject "CoreDataExample" */;
			compatibilityVersion = "Xcode 13.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 5C81080626C274E800B40524;
			packageReferences = (
				5CC7099B26C4082300A82C91 /* XCRemoteSwiftPackageReference "IQKeyboardManager" */,
				5C7E164526C4E3700052D621 /* XCRemoteSwiftPackageReference "RxSwift" */,
			);
			productRefGroup = 5C81081026C274E800B40524 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				5C81080E26C274E800B40524 /* CoreDataExample */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		5C81080D26C274E800B40524 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C81084E26C28B5D00B40524 /* ButtonTblCell.xib in Resources */,
				5C81081F26C274E900B40524 /* LaunchScreen.storyboard in Resources */,
				5C54697726C3D67200CDDB25 /* ImageCell.xib in Resources */,
				5C81081C26C274E900B40524 /* Assets.xcassets in Resources */,
				5C81085126C28B5D00B40524 /* TextTblCell.xib in Resources */,
				5C81081A26C274E800B40524 /* Main.storyboard in Resources */,
				5C81085026C28B5D00B40524 /* StudentTblCell.xib in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		5C81080B26C274E800B40524 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				5C81084226C285EC00B40524 /* FieldValue.swift in Sources */,
				5C7E165E26C518AB0052D621 /* PassportListVC.swift in Sources */,
				5C81082C26C278A900B40524 /* PersistentStorage.swift in Sources */,
				5C81084C26C28B5D00B40524 /* TextTblCell.swift in Sources */,
				5C81084026C285EC00B40524 /* PaddedField.swift in Sources */,
				5C54697626C3D67200CDDB25 /* ImageCell.swift in Sources */,
				5C81083F26C285EC00B40524 /* ResuseableView.swift in Sources */,
				5C81081726C274E800B40524 /* ViewController.swift in Sources */,
				5C5DE37326C39B6900ABA4FE /* BaseRepository.swift in Sources */,
				5C81084D26C28B5D00B40524 /* StudentTblCell.swift in Sources */,
				5C81082826C274FE00B40524 /* Employee.xcdatamodeld in Sources */,
				5C7E165326C4F9590052D621 /* CDEmployee+CoreDataProperties.swift in Sources */,
				5C81085326C2A18700B40524 /* RegisterVC.swift in Sources */,
				5C7E165526C4F9590052D621 /* CDPassport+CoreDataProperties.swift in Sources */,
				5C81083326C27DE800B40524 /* EmployeeRepository.swift in Sources */,
				5C81083126C27C3D00B40524 /* Employee.swift in Sources */,
				5C81081326C274E800B40524 /* AppDelegate.swift in Sources */,
				5C81084426C2864700B40524 /* SignUpRowType.swift in Sources */,
				5C81084126C285EC00B40524 /* Helper.swift in Sources */,
				5C7E165226C4F9590052D621 /* CDEmployee+CoreDataClass.swift in Sources */,
				5C7E165426C4F9590052D621 /* CDPassport+CoreDataClass.swift in Sources */,
				5C7E165926C4FF6F0052D621 /* Extension+CDEmployee.swift in Sources */,
				5C81082A26C2789C00B40524 /* EmployeeManager.swift in Sources */,
				5C7E165726C4FDB70052D621 /* Passport.swift in Sources */,
				5C81084F26C28B5D00B40524 /* ButtonTblCell.swift in Sources */,
				5C7E165B26C4FF850052D621 /* Extension+CDPassport.swift in Sources */,
				5C81081526C274E800B40524 /* SceneDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		5C81081826C274E800B40524 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5C81081926C274E800B40524 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		5C81081D26C274E900B40524 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				5C81081E26C274E900B40524 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		5C81082126C274E900B40524 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		5C81082226C274E900B40524 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 15.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		5C81082426C274E900B40524 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 7224G6JACN;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = CoreDataExample/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.mi.CoreDataExample;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		5C81082526C274E900B40524 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 7224G6JACN;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = CoreDataExample/Info.plist;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UIMainStoryboardFile = Main;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.mi.CoreDataExample;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		5C81080A26C274E800B40524 /* Build configuration list for PBXProject "CoreDataExample" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C81082126C274E900B40524 /* Debug */,
				5C81082226C274E900B40524 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		5C81082326C274E900B40524 /* Build configuration list for PBXNativeTarget "CoreDataExample" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				5C81082426C274E900B40524 /* Debug */,
				5C81082526C274E900B40524 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		5C7E164526C4E3700052D621 /* XCRemoteSwiftPackageReference "RxSwift" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/ReactiveX/RxSwift.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 6.0.0;
			};
		};
		5CC7099B26C4082300A82C91 /* XCRemoteSwiftPackageReference "IQKeyboardManager" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/hackiftekhar/IQKeyboardManager.git";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 6.0.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		5C7E164626C4E3700052D621 /* RxCocoa */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5C7E164526C4E3700052D621 /* XCRemoteSwiftPackageReference "RxSwift" */;
			productName = RxCocoa;
		};
		5C7E164826C4E3700052D621 /* RxRelay */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5C7E164526C4E3700052D621 /* XCRemoteSwiftPackageReference "RxSwift" */;
			productName = RxRelay;
		};
		5C7E164A26C4E3700052D621 /* RxSwift */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5C7E164526C4E3700052D621 /* XCRemoteSwiftPackageReference "RxSwift" */;
			productName = RxSwift;
		};
		5CC7099C26C4082300A82C91 /* IQKeyboardManagerSwift */ = {
			isa = XCSwiftPackageProductDependency;
			package = 5CC7099B26C4082300A82C91 /* XCRemoteSwiftPackageReference "IQKeyboardManager" */;
			productName = IQKeyboardManagerSwift;
		};
/* End XCSwiftPackageProductDependency section */

/* Begin XCVersionGroup section */
		5C81082626C274FE00B40524 /* Employee.xcdatamodeld */ = {
			isa = XCVersionGroup;
			children = (
				5C81082726C274FE00B40524 /* Employee.xcdatamodel */,
			);
			currentVersion = 5C81082726C274FE00B40524 /* Employee.xcdatamodel */;
			path = Employee.xcdatamodeld;
			sourceTree = "<group>";
			versionGroupType = wrapper.xcdatamodel;
		};
/* End XCVersionGroup section */
	};
	rootObject = 5C81080726C274E800B40524 /* Project object */;
}
